Package org.gdal.ogr

## Class ogr

- java.lang.Object
- - org.gdal.ogr.ogr

- All Implemented Interfaces:
    `ogrConstants`

      public class ogr
      extends java.lang.Object
      implements ogrConstants

- - ### Field Summary

    - ### Fields inherited from interface org.gdal.ogr.ogrConstants

      `ALTER__FLAG, ALTER_ALL_FLAG, ALTER_DEFAULT_FLAG, ALTER_NAME_FLAG, ALTER_NULLABLE_FLAG, ALTER_TYPE_FLAG, ALTER_UNIQUE_FLAG, ALTER_WIDTH_PRECISION_FLAG, F_VAL_ALL, F_VAL_ALLOW_NULL_WHEN_DEFAULT, F_VAL_GEOM_TYPE, F_VAL_NULL, F_VAL_WIDTH, NullFID, ODrCCreateDataSource, ODrCDeleteDataSource, ODsCCreateGeomFieldAfterCreateLayer, ODsCCreateLayer, ODsCCurveGeometries, ODsCDeleteLayer, ODsCEmulatedTransactions, ODsCMeasuredGeometries, ODsCRandomLayerRead, ODsCRandomLayerWrite, ODsCTransactions, OFSTBoolean, OFSTFloat32, OFSTInt16, OFSTJSON, OFSTNone, OFTBinary, OFTDate, OFTDateTime, OFTInteger, OFTInteger64, OFTInteger64List, OFTIntegerList, OFTReal, OFTRealList, OFTString, OFTStringList, OFTTime, OFTWideString, OFTWideStringList, OGRERR_CORRUPT_DATA, OGRERR_FAILURE, OGRERR_INVALID_HANDLE, OGRERR_NON_EXISTING_FEATURE, OGRERR_NONE, OGRERR_NOT_ENOUGH_DATA, OGRERR_NOT_ENOUGH_MEMORY, OGRERR_UNSUPPORTED_GEOMETRY_TYPE, OGRERR_UNSUPPORTED_OPERATION, OGRERR_UNSUPPORTED_SRS, OJLeft, OJRight, OJUndefined, OLCAlterFieldDefn, OLCCreateField, OLCCreateGeomField, OLCCurveGeometries, OLCDeleteFeature, OLCDeleteField, OLCFastFeatureCount, OLCFastGetExtent, OLCFastSetNextByIndex, OLCFastSpatialFilter, OLCIgnoreFields, OLCMeasuredGeometries, OLCRandomRead, OLCRandomWrite, OLCReorderFields, OLCSequentialWrite, OLCStringsAsUTF8, OLCTransactions, OLMD_FID64, wkb25Bit, wkb25DBit, wkbCircularString, wkbCircularStringM, wkbCircularStringZ, wkbCircularStringZM, wkbCompoundCurve, wkbCompoundCurveM, wkbCompoundCurveZ, wkbCompoundCurveZM, wkbCurve, wkbCurveM, wkbCurvePolygon, wkbCurvePolygonM, wkbCurvePolygonZ, wkbCurvePolygonZM, wkbCurveZ, wkbCurveZM, wkbGeometryCollection, wkbGeometryCollection25D, wkbGeometryCollectionM, wkbGeometryCollectionZM, wkbLinearRing, wkbLineString, wkbLineString25D, wkbLineStringM, wkbLineStringZM, wkbMultiCurve, wkbMultiCurveM, wkbMultiCurveZ, wkbMultiCurveZM, wkbMultiLineString, wkbMultiLineString25D, wkbMultiLineStringM, wkbMultiLineStringZM, wkbMultiPoint, wkbMultiPoint25D, wkbMultiPointM, wkbMultiPointZM, wkbMultiPolygon, wkbMultiPolygon25D, wkbMultiPolygonM, wkbMultiPolygonZM, wkbMultiSurface, wkbMultiSurfaceM, wkbMultiSurfaceZ, wkbMultiSurfaceZM, wkbNDR, wkbNone, wkbPoint, wkbPoint25D, wkbPointM, wkbPointZM, wkbPolygon, wkbPolygon25D, wkbPolygonM, wkbPolygonZM, wkbPolyhedralSurface, wkbPolyhedralSurfaceM, wkbPolyhedralSurfaceZ, wkbPolyhedralSurfaceZM, wkbSurface, wkbSurfaceM, wkbSurfaceZ, wkbSurfaceZM, wkbTIN, wkbTINM, wkbTINZ, wkbTINZM, wkbTriangle, wkbTriangleM, wkbTriangleZ, wkbTriangleZM, wkbUnknown, wkbXDR`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Geometry` | `ApproximateArcAngles​(double dfCenterX, double dfCenterY, double dfZ, double dfPrimaryRadius, double dfSecondaryAxis, double dfRotation, double dfStartAngle, double dfEndAngle, double dfMaxAngleStepSizeDegrees)` |
    `static Geometry` | `BuildPolygonFromEdges​(Geometry hLineCollection)` |
    `static Geometry` | `BuildPolygonFromEdges​(Geometry hLineCollection, int bBestEffort)` |
    `static Geometry` | `BuildPolygonFromEdges​(Geometry hLineCollection, int bBestEffort, int bAutoClose)` |
    `static Geometry` | `BuildPolygonFromEdges​(Geometry hLineCollection, int bBestEffort, int bAutoClose, double dfTolerance)` |
    `static Geometry` | `CreateGeometryFromEsriJson​(java.lang.String input_string)` |
    `static Geometry` | `CreateGeometryFromGML​(java.lang.String input_string)` |
    `static Geometry` | `CreateGeometryFromJson​(java.lang.String input_string)` |
    `static Geometry` | `CreateGeometryFromWkb​(byte[] nLen)` |
    `static Geometry` | `CreateGeometryFromWkb​(byte[] nLen, SpatialReference reference)` |
    `static Geometry` | `CreateGeometryFromWkt​(java.lang.String val)` |
    `static Geometry` | `CreateGeometryFromWkt​(java.lang.String val, SpatialReference reference)` |
    `static void` | `DontUseExceptions​()` |
    `static Geometry` | `ForceTo​(Geometry geom_in, int eTargetType)` |
    `static Geometry` | `ForceTo​(Geometry geom_in, int eTargetType, java.util.Vector options)` |
    `static Geometry` | `ForceToLineString​(Geometry geom_in)` |
    `static Geometry` | `ForceToMultiLineString​(Geometry geom_in)` |
    `static Geometry` | `ForceToMultiPoint​(Geometry geom_in)` |
    `static Geometry` | `ForceToMultiPolygon​(Geometry geom_in)` |
    `static Geometry` | `ForceToPolygon​(Geometry geom_in)` |
    `static java.lang.String[]` | `GeneralCmdLineProcessor​(java.lang.String[] args)` |
    `static java.lang.String[]` | `GeneralCmdLineProcessor​(java.lang.String[] args, int nOptions)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor​(java.util.Vector papszArgv)` |
    `static java.util.Vector` | `GeneralCmdLineProcessor​(java.util.Vector papszArgv, int nOptions)` |
    `static java.lang.String` | `GeometryTypeToName​(int eType)` |
    `static Driver` | `GetDriver​(int driver_number)` |
    `static Driver` | `GetDriverByName​(java.lang.String name)` |
    `static int` | `GetDriverCount​()` |
    `static java.lang.String` | `GetFieldSubTypeName​(int type)` |
    `static java.lang.String` | `GetFieldTypeName​(int type)` |
    `static int` | `GetNonLinearGeometriesEnabledFlag​()` |
    `static DataSource` | `GetOpenDS​(int ds_number)` |
    `static int` | `GetOpenDSCount​()` |
    `static int` | `GT_Flatten​(int eType)` |
    `static int` | `GT_GetCollection​(int eType)` |
    `static int` | `GT_GetCurve​(int eType)` |
    `static int` | `GT_GetLinear​(int eType)` |
    `static int` | `GT_HasM​(int eType)` |
    `static int` | `GT_HasZ​(int eType)` |
    `static int` | `GT_IsCurve​(int arg0)` |
    `static int` | `GT_IsNonLinear​(int arg0)` |
    `static int` | `GT_IsSubClassOf​(int eType, int eSuperType)` |
    `static int` | `GT_IsSurface​(int arg0)` |
    `static int` | `GT_SetM​(int eType)` |
    `static int` | `GT_SetModifier​(int eType, int bSetZ)` |
    `static int` | `GT_SetModifier​(int eType, int bSetZ, int bSetM)` |
    `static int` | `GT_SetZ​(int eType)` |
    `static DataSource` | `Open​(java.lang.String utf8_path)` |
    `static DataSource` | `Open​(java.lang.String filename, boolean update)` |
    `static DataSource` | `Open​(java.lang.String utf8_path, int update)` |
    `static DataSource` | `OpenShared​(java.lang.String utf8_path)` |
    `static DataSource` | `OpenShared​(java.lang.String utf8_path, int update)` |
    `static void` | `RegisterAll​()` |
    `static int` | `SetGenerate_DB2_V72_BYTE_ORDER​(int bGenerate_DB2_V72_BYTE_ORDER)` |
    `static void` | `SetNonLinearGeometriesEnabledFlag​(int bFlag)` |
    `static void` | `UseExceptions​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### UseExceptions

          public static void UseExceptions​()

    - #### DontUseExceptions

          public static void DontUseExceptions​()

    - #### CreateGeometryFromWkb

          public static Geometry CreateGeometryFromWkb​(byte[] nLen,
                                                       SpatialReference reference)

    - #### CreateGeometryFromWkb

          public static Geometry CreateGeometryFromWkb​(byte[] nLen)

    - #### CreateGeometryFromWkt

          public static Geometry CreateGeometryFromWkt​(java.lang.String val,
                                                       SpatialReference reference)

    - #### CreateGeometryFromWkt

          public static Geometry CreateGeometryFromWkt​(java.lang.String val)

    - #### CreateGeometryFromGML

          public static Geometry CreateGeometryFromGML​(java.lang.String input_string)

    - #### CreateGeometryFromJson

          public static Geometry CreateGeometryFromJson​(java.lang.String input_string)

    - #### CreateGeometryFromEsriJson

          public static Geometry CreateGeometryFromEsriJson​(java.lang.String input_string)

    - #### BuildPolygonFromEdges

          public static Geometry BuildPolygonFromEdges​(Geometry hLineCollection,
                                                       int bBestEffort,
                                                       int bAutoClose,
                                                       double dfTolerance)

    - #### BuildPolygonFromEdges

          public static Geometry BuildPolygonFromEdges​(Geometry hLineCollection,
                                                       int bBestEffort,
                                                       int bAutoClose)

    - #### BuildPolygonFromEdges

          public static Geometry BuildPolygonFromEdges​(Geometry hLineCollection,
                                                       int bBestEffort)

    - #### BuildPolygonFromEdges

          public static Geometry BuildPolygonFromEdges​(Geometry hLineCollection)

    - #### ApproximateArcAngles

          public static Geometry ApproximateArcAngles​(double dfCenterX,
                                                      double dfCenterY,
                                                      double dfZ,
                                                      double dfPrimaryRadius,
                                                      double dfSecondaryAxis,
                                                      double dfRotation,
                                                      double dfStartAngle,
                                                      double dfEndAngle,
                                                      double dfMaxAngleStepSizeDegrees)

    - #### ForceToPolygon

          public static Geometry ForceToPolygon​(Geometry geom_in)

    - #### ForceToLineString

          public static Geometry ForceToLineString​(Geometry geom_in)

    - #### ForceToMultiPolygon

          public static Geometry ForceToMultiPolygon​(Geometry geom_in)

    - #### ForceToMultiPoint

          public static Geometry ForceToMultiPoint​(Geometry geom_in)

    - #### ForceToMultiLineString

          public static Geometry ForceToMultiLineString​(Geometry geom_in)

    - #### ForceTo

          public static Geometry ForceTo​(Geometry geom_in,
                                         int eTargetType,
                                         java.util.Vector options)

    - #### ForceTo

          public static Geometry ForceTo​(Geometry geom_in,
                                         int eTargetType)

    - #### GetDriverCount

          public static int GetDriverCount​()

    - #### GetOpenDSCount

          public static int GetOpenDSCount​()

    - #### SetGenerate_DB2_V72_BYTE_ORDER

          public static int SetGenerate_DB2_V72_BYTE_ORDER​(int bGenerate_DB2_V72_BYTE_ORDER)

    - #### RegisterAll

          public static void RegisterAll​()

    - #### GeometryTypeToName

          public static java.lang.String GeometryTypeToName​(int eType)

    - #### GetFieldTypeName

          public static java.lang.String GetFieldTypeName​(int type)

    - #### GetFieldSubTypeName

          public static java.lang.String GetFieldSubTypeName​(int type)

    - #### GT_Flatten

          public static int GT_Flatten​(int eType)

    - #### GT_SetZ

          public static int GT_SetZ​(int eType)

    - #### GT_SetM

          public static int GT_SetM​(int eType)

    - #### GT_SetModifier

          public static int GT_SetModifier​(int eType,
                                           int bSetZ,
                                           int bSetM)

    - #### GT_SetModifier

          public static int GT_SetModifier​(int eType,
                                           int bSetZ)

    - #### GT_HasZ

          public static int GT_HasZ​(int eType)

    - #### GT_HasM

          public static int GT_HasM​(int eType)

    - #### GT_IsSubClassOf

          public static int GT_IsSubClassOf​(int eType,
                                            int eSuperType)

    - #### GT_IsCurve

          public static int GT_IsCurve​(int arg0)

    - #### GT_IsSurface

          public static int GT_IsSurface​(int arg0)

    - #### GT_IsNonLinear

          public static int GT_IsNonLinear​(int arg0)

    - #### GT_GetCollection

          public static int GT_GetCollection​(int eType)

    - #### GT_GetCurve

          public static int GT_GetCurve​(int eType)

    - #### GT_GetLinear

          public static int GT_GetLinear​(int eType)

    - #### SetNonLinearGeometriesEnabledFlag

          public static void SetNonLinearGeometriesEnabledFlag​(int bFlag)

    - #### GetNonLinearGeometriesEnabledFlag

          public static int GetNonLinearGeometriesEnabledFlag​()

    - #### GetOpenDS

          public static DataSource GetOpenDS​(int ds_number)

    - #### Open

          public static DataSource Open​(java.lang.String utf8_path,
                                        int update)

    - #### Open

          public static DataSource Open​(java.lang.String utf8_path)

    - #### OpenShared

          public static DataSource OpenShared​(java.lang.String utf8_path,
                                              int update)

    - #### OpenShared

          public static DataSource OpenShared​(java.lang.String utf8_path)

    - #### GetDriverByName

          public static Driver GetDriverByName​(java.lang.String name)

    - #### GetDriver

          public static Driver GetDriver​(int driver_number)

    - #### GeneralCmdLineProcessor

          public static java.util.Vector GeneralCmdLineProcessor​(java.util.Vector papszArgv,
                                                                 int nOptions)

    - #### GeneralCmdLineProcessor

          public static java.util.Vector GeneralCmdLineProcessor​(java.util.Vector papszArgv)

    - #### GeneralCmdLineProcessor

          public static java.lang.String[] GeneralCmdLineProcessor​(java.lang.String[] args,
                                                                   int nOptions)

    - #### GeneralCmdLineProcessor

          public static java.lang.String[] GeneralCmdLineProcessor​(java.lang.String[] args)

    - #### Open

          public static DataSource Open​(java.lang.String filename,
                                        boolean update)